#include <algorithm>
#include <iostream>
#include <vector>
using namespace std;

int main()
{
	
	int n, q, ulaz;
	
	cin >> n >> q;
	
	vector<int> listaA;
	vector<int> listaB;

	for (int i = 0; i < n; i++)
	{
		cin >> ulaz;
		listaA.push_back(ulaz);
	}
	
	for (int i = 0; i < q; i++)
	{
		cin >> ulaz;
		listaB.push_back(ulaz);
	}
	
	sort(listaA.begin(), listaA.end());

	for (int i = 0; i < q; i++) 
	{
		int ubacenibroj = listaB[i];
		int rezultat;
		int dodatak = 0;

		if (ubacenibroj > listaA.back() || ubacenibroj < listaA.front())
		{
			rezultat = listaA.size();
		}

		else
		{
			vector<int> temp = listaA;

			int index;
			auto it = find(temp.begin(), temp.end(), ubacenibroj);
			if (it != temp.end())
			{
				index = it - temp.begin();
			}
			else
			{
				temp.push_back(ubacenibroj);
				sort(temp.begin(), temp.end());
				it = find(temp.begin(), temp.end(), ubacenibroj);
				index = it - temp.begin();
				dodatak++;
			}
			
			int brojElemenata = temp.size();
			int pozicija = index + 1;

			int pre = index;
			int posle = brojElemenata - pozicija;

			if (pre > posle) {
				rezultat = pre - posle - 1;
			}
			else if (posle > pre) {
				rezultat = posle - pre;
			}
			else {
				rezultat = 0;
			}
			
		}
		cout << rezultat + dodatak  << endl;
	}
	return 0;
}